<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/function.php';

$id = ( int ) $_GET['id'];

$referrals_reward_ref = mysql_query( "SELECT * FROM user WHERE id = '".$id."' AND referer = '".$_SESSION['iduser']."' LIMIT 1" );
$referrals_reward_row = mysql_fetch_array( $referrals_reward_ref );

?>
  <div class="modal fade bd-example-modal-lg" id="modalf">
	  <div class="modal-dialog " role="document">
		<div class="modal-content" style="">
		  <div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
			<h4 class="modal-title">Денежное вознаграждение рефералу <?=$referrals_reward_row['username']?>.</h4>
		  </div>
		  <div class="modal-body"><!--Содержимое модального окна начало-->
		    <div class="form-group">
			  Вознаграждение - денежная оплата труда рефералов в виде заработной платы или премиальных выплат, зависящая от количества и качества труда. Вы можете делать интересные предложения вашим рефералам для эффективности заработка на проекте за дополнительное вознаграждение. </br>Минимальная сумма вознаграждения - 0.01 руб.
			  <div class="div_centralizator">
			    </br>
			    <input type="text" class="form-control" id="summ" placeholder="введите сумму" style="width: 100px; text-align: center; height: 14px;">
			    </br>
			  </div>
		    </div>
		    <div class="error_modal_mini" > </div>
		    <p style="display: none;" id="success_text"><span class="glyphicon glyphicon-info-sign"></span> Вознаграждение для <?=$referrals_reward_row['username']?>, успешно отправлено! &hellip;</p>
		  </div><!--Содержимое модального окна конец-->
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
			<button type="button" class="btn btn-primary" id="send_walls_gift" onclick="rewardsend();">Отправить </button>
		  </div>
		</div>
	  </div>
  </div>
  
  <script type="text/javascript">
	$(document).ready(function(){
		var options = {
			show : true
		}
		$('#modalf').modal(options);
	});

	function rewardsend() {
		$.post('ajax.php?func=rewardsend',{
			id : <?=$id?>,
		    reward : $('#summ').val()
		}, function(data){
			if (data == 1){
				$(".form-group").fadeOut(300);
				$("#send_walls_gift").fadeOut(300);
				$("#success_text").fadeIn(800);
			} else {
				$('.error_modal_mini').fadeIn().html(data);
				setTimeout(function() {
					$('.error_modal_mini').fadeOut().html('&nbsp;');
				}, 4000);
			}
		});
		return false;
	}

	

  </script>